RagTime5ClusterManager::Link Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTime5ClusterManager::Link Struct Reference

a link to a small zone (or set of zones) in RagTime 5/6 documents More...

`#include <RagTime5ClusterManager.hxx>`

## Public Types
enum | Type { L_ClusterLink, L_LinkDef, L_LongList, L_UnicodeList, L_FieldsList, L_List, L_UnknownClusterC, L_Unknown }
| the link type More...

## Public Member Functions
| Link (Type type=L_Unknown)
| constructor More...
bool | empty () const
| returns true if all link are empty More...
std::string | getZoneName () const
| returns the zone name More...

## Public Attributes
Type | m_type
| the link type More...
std::string | m_name
| the link name More...
std::vector< int > | m_ids
| the data ids More...
int | m_N
| the number of data ( or some flag if m_N & 0x8020) More...
int | m_fieldSize
| the field size More...
long | m_fileType [2]
| the zone type in file More...
std::vector< long > | m_longList
| a list of long used to store decal More...

## Friends
std::ostream & | operator<< (std::ostream &o, Link const &z)
| operator<< More...

## Detailed Description

a link to a small zone (or set of zones) in RagTime 5/6 documents

## Member Enumeration Documentation

enum RagTime5ClusterManager::Link::Type

the link type

Enumerator
L_ClusterLink |
L_LinkDef |
L_LongList |
L_UnicodeList |
L_FieldsList |
L_List |
L_UnknownClusterC |
L_Unknown |

## Constructor & Destructor Documentation

RagTime5ClusterManager::Link::Link | ( | Type | type = `L_Unknown` | ) |
| inline

constructor

## Member Function Documentation

bool RagTime5ClusterManager::Link::empty | ( |  | ) | const
| inline

returns true if all link are empty

Referenced by RagTime5LayoutInternal::LayoutCParser::endZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::endZone(), RagTime5TextInternal::TextCParser::endZone(), RagTime5GraphInternal::PictCParser::endZone(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readChartCluster(), RagTime5Parser::readClusterLinkList(), RagTime5ClusterManager::readClusterMainList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), and RagTime5Parser::readStructZone().

std::string RagTime5ClusterManager::Link::getZoneName | ( |  | ) | const
| inline

returns the zone name

Referenced by RagTime5Parser::readClusterLinkList(), RagTime5Parser::readFixedSizeZone(), RagTime5Parser::readFormats(), and RagTime5Parser::readListZone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Link const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

int RagTime5ClusterManager::Link::m_fieldSize

the field size

Referenced by getZoneName(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5PipelineInternal::PipelineCParser::parseZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Spreadsheet::readChartCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Graph::readColorPatternZone(), RagTime5Parser::readFixedSizeZone(), RagTime5Graph::readGraphicCluster(), RagTime5Graph::readGraphicTransformations(), RagTime5Layout::readLayoutCluster(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Parser::readLongList(), RagTime5Graph::readPictureCluster(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Text::readTextCluster(), RagTime5Spreadsheet::readUnknownZone1(), RagTime5Spreadsheet::readUnknownZone2(), RagTime5Spreadsheet::readUnknownZone3(), and RagTime5Spreadsheet::readUnknownZone4().

long RagTime5ClusterManager::Link::m_fileType[2]

the zone type in file

Referenced by getZoneName(), Link(), RagTime5GraphInternal::GraphicCParser::parseHeaderZone(), RagTime5PipelineInternal::PipelineCParser::parseZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Parser::readClusterFieldsData(), RagTime5Graph::readColorPatternZone(), RagTime5Parser::readFormats(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), and RagTime5Parser::readUnknownClusterCData().

std::vector<int> RagTime5ClusterManager::Link::m_ids

the data ids

Referenced by empty(), RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5TextInternal::TextCParser::parseDataZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone(), RagTime5PipelineInternal::PipelineCParser::parseZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5Parser::readClusterGProp(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Graph::readColorPatternZone(), RagTime5ClusterManager::readFieldClusters(), RagTime5Text::readFieldZones(), RagTime5Parser::readFixedSizeZone(), RagTime5Parser::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTransformations(), RagTime5Graph::readGraphicTypes(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Parser::readListZone(), RagTime5Parser::readLongList(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Parser::readStructZone(), RagTime5ClusterManager::readUnknownClusterC(), RagTime5Parser::readUnknownClusterCData(), and RagTime5Text::send().

std::vector<long> RagTime5ClusterManager::Link::m_longList

a list of long used to store decal

Referenced by empty(), RagTime5Text::readFieldZones(), RagTime5Parser::readFormats(), RagTime5Graph::readGraphicShapes(), RagTime5Graph::readGraphicTypes(), RagTime5Text::readLinkZones(), RagTime5Parser::readListZone(), RagTime5Parser::readLongList(), and RagTime5Parser::readStructZone().

int RagTime5ClusterManager::Link::m_N

the number of data ( or some flag if m_N & 0x8020)

Referenced by RagTime5TextInternal::TextCParser::parseHeaderZone(), RagTime5PipelineInternal::PipelineCParser::parseZone(), RagTime5ClusterManagerInternal::ColPatCParser::parseZone(), RagTime5Parser::readClusterLinkList(), RagTime5Graph::readColorPatternZone(), RagTime5Parser::readFixedSizeZone(), RagTime5Graph::readGraphicTransformations(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Text::readLinkZones(), RagTime5Text::readPLCToCharStyle(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Spreadsheet::readUnknownZone1(), RagTime5Spreadsheet::readUnknownZone2(), RagTime5Spreadsheet::readUnknownZone3(), and RagTime5Spreadsheet::readUnknownZone4().

std::string RagTime5ClusterManager::Link::m_name

the link name

Referenced by getZoneName(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5Spreadsheet::readChartCluster(), RagTime5Parser::readClusterLinkList(), RagTime5Parser::readLongList(), RagTime5Spreadsheet::readSpreadsheetCluster(), and RagTime5Text::readTextCluster().

Type RagTime5ClusterManager::Link::m_type

the link type

Referenced by empty(), getZoneName(), RagTime5ClusterManagerInternal::RootCParser::parseDataZone(), RagTime5SpreadsheetInternal::SpreadsheetCParser::parseHeaderZone(), RagTime5ClusterManagerInternal::ScriptCParser::parseZone(), RagTime5Spreadsheet::readChartCluster(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Parser::readClusterZone(), RagTime5Graph::readGraphicCluster(), RagTime5Layout::readLayoutCluster(), RagTime5ClusterManager::ClusterParser::readLinkHeader(), RagTime5Graph::readPictureCluster(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Text::readTextCluster(), and RagTime5Parser::readUnknownClusterCData().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx